API Reference
Short-video copy parsing API
POST
douyin-copy-api
ID 17
Pull the spoken or on-screen copy from a short video for a rewrite.
POST
https://xiaoapis.com/api/video/douyin
Overview
- 文案解析
- JSON 返回
Use cases
- 文案采集
- 内容分析
- 创作辅助
Conventions
- Gateway ·
https://xiaoapis.com - Auth · send
key(query or JSON body, as this API specifies) - Response · JSON. Check the business code and the HTTP status, not only HTTP 200
Authentication
Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.
POST https://xiaoapis.com/api/video/douyin
Content-Type: application/json
{
"key": "YOUR_API_KEY"
}
Request example
https://xiaoapis.com/api/video/douyin?key=你的密钥
Details
请求HEADER:
| 名称 | 值 |
|---|---|
| Content-Type | application/json |
请求参数说明:
| 名称 | 必填 | 类型 | 示例值 | 说明 |
|---|---|---|---|---|
| key | 是 | string | 35kj5jnlj53453kl5j43nj5 | 接口密钥,在控制台->密钥管理查看 |
| content | 是 | string | 1.07 ZZm:/ g@O.Xz 05/20 如果我说我真的爱你,谁来收拾那些被破坏的友谊……# 美出高级感 # 氛围感美女 # 优雅知性 https://v.douyin.com/T0CJLZOAcc4/ 复制此链接,打开Dou音搜索,直接观看视频! | 视频地址 |
返回参数说明:
| 名称 | 类型 | 说明 |
|---|---|---|
| code | int | 状态码 |
| msg | string | 状态信息 |
| data | string | 请求结果数据集 |
| -text | string | 视频文案 |
| debug | string/array | 调试数据 |
| exec_time | float | 执行耗时 |
| user_ip | string | 客户端IP |
FAQ
这个接口和「短视频提取文案解析」有何关系?
同属文案类能力,参数与返回字段可能不同,请以各自文档为准选择。
怎么调用?
携带 API Key 与文档要求的视频标识/链接参数发起请求。
返回包含什么?
以文档 res 示例为准,通常含文案相关字段。
能否用于商用改写?
技术上可接入业务;内容使用须遵守版权与平台规则。
如何排查空文案?
确认源视频是否含可读文案/字幕,以及参数是否正确。
Related APIs
Full console doc (with the debugger):/doc/17